Get dollar future rates
Implicit rate (TNA) of each dollar future, its equivalent TEA, monthly crawl, open interest and 1d variations.
GET
/v1/market-data/a3/ratesRequest
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Access token in Bearer ACCESS_TOKEN format |
Not applicable: Path Parameters, Query Parameters, Body.
Response
2XX Success
Status: 200 — Dollar future rates retrieved successfully
Returns an array of objects with these fields:
| Field | Type | Description |
|---|---|---|
symbol | string | The future's symbol. |
tna | number | Implicit rate, as TNA (%). |
tea | number | TNA converted to TEA (%). |
days_to_maturity | integer | Days until the future's maturity. |
open_interest_size | number | Open interest size. |
monthly_crawl | number | Implied monthly devaluation rate (%). |
open_interest_size_variation_1d | number | Change in open interest size since the previous close. |
price_variation_1d | number | Price percent change since the previous close. |
last_trade_price | number | Last traded price. |
maturity_date | string (date) | Contract maturity date. |
Error Codes
| Status | Description |
|---|---|
401 | Missing or invalid authentication |
403 | Caller lacks the required role |
500 | Unexpected server error |
Code Example
- cURL
- JavaScript
- Python
- Node.js
curl -X GET "https://b2b.allaria.dev/v1/market-data/a3/rates" \
-H "Authorization: Bearer ACCESS_TOKEN"
const response = await fetch('https://b2b.allaria.dev/v1/market-data/a3/rates', {
method: 'GET',
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://b2b.allaria.dev/v1/market-data/a3/rates',
headers={ 'Authorization': 'Bearer ACCESS_TOKEN' },
)
print(response.json())
const axios = require('axios');
const response = await axios.get('https://b2b.allaria.dev/v1/market-data/a3/rates', {
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
console.log(response.data);
2XX Success
[
{
"symbol": "string",
"tna": 0,
"tea": 0,
"days_to_maturity": 0,
"open_interest_size": 0,
"monthly_crawl": 0,
"open_interest_size_variation_1d": 0,
"price_variation_1d": 0,
"last_trade_price": 0,
"maturity_date": "2027-05-30"
}
]